# Program to import touch class and draw turtles

# Import libraries
import touche as tart
import hexadec as hx
import numpy as np

# Instantiating an object of the Hexa() class and assigns it to the variable h1 
h1 = hx.Hexa()                                     # String for hexadecimal

# Invoking the gen_hex() method
h1.gen_hex()

hex = h1.my_hex_string  # Assign hexadecimal string to hex

# Define parameters for a turtle
x = 0                               # x coordinate in pixels
y = 0                               # y coordinate in pixels
length  = 3.2                       # Length for the turtle
width = 3.2                         # Width for the turtle
rotate = np.random.randint(0,8)     # Rotation angle 8*45 degrees

# Instantiating an object of the Touche() class and assigns it to the variable t1 
t1 = tart.Touche(x, y, length, width, rotate, "#"+hex) 

# Invoking the draw() method
t1.draw()

# Invoking the bye method
t1.bye()